Skip to content
Install

Update ingress protection mode

PUT
/projects/{id}/ingresses/{ingressId}/protection
curl --request PUT \
--url https://example.com/projects/example/ingresses/example/protection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "mode": "none", "password": "example" }'

Auth: authenticated (scope: deploy)

id
required
string
ingressId
required
string
Media typeapplication/json
object
mode
required
string
Allowed values: none password orchard
password
string

OK

Media typeapplication/json
object
openPaths
Array<string>
protectionBypassSecret
required
string | null
protectionMode
required
string
Allowed values: none password orchard
key
additional properties

Example

{
"protectionMode": "none"
}